package com.traffic.vo;

import java.io.Serializable;
import java.util.List;

import com.traffic.dao.entity.POITrafficData;
import com.traffic.dao.entity.TotalTrafficData;
import com.traffic.dao.entity.WindowTrafficData;

/**
 * Response object containing traffic details that will be sent to dashboard.
 * 
 * 
 *
 */
public class Response implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private List<TotalTrafficData> totalTraffic;
	private List<WindowTrafficData> windowTraffic;
	private List<POITrafficData> poiTraffic;
	
	public List<TotalTrafficData> getTotalTraffic() {
		return totalTraffic;
	}
	public void setTotalTraffic(List<TotalTrafficData> totalTraffic) {
		this.totalTraffic = totalTraffic;
	}
	public List<WindowTrafficData> getWindowTraffic() {
		return windowTraffic;
	}
	public void setWindowTraffic(List<WindowTrafficData> windowTraffic) {
		this.windowTraffic = windowTraffic;
	}
	public List<POITrafficData> getPoiTraffic() {
		return poiTraffic;
	}
	public void setPoiTraffic(List<POITrafficData> poiTraffic) {
		this.poiTraffic = poiTraffic;
	}

}
